import express, { Request, Response } from "express";
import {
  deleteNewsletterConfig,
  getAllNewsletterConfigs,
  getNewsletterConfigById,
  setNewsletterConfig,
} from "../../../controller/admin/settings/newsletterConfigController";
import PermissionHelper from "../../../helpers/permissionHelper";

var router = express.Router({ mergeParams: true });

router.get("/", async (req: Request, res: Response) => {
  await getAllNewsletterConfigs(req, res);
});

router.get("/:id", async (req: Request, res: Response) => {
  await getNewsletterConfigById(req, res);
});

router.put(
  "/",
  PermissionHelper.passCheckMiddleware("create", "settings", "newsletter_config"),
  async (req: Request, res: Response) => {
    await setNewsletterConfig(req, res);
  }
);

router.delete(
  "/:comTypeId",
  PermissionHelper.passCheckMiddleware("create", "settings", "newsletter_config"),
  async (req: Request, res: Response) => {
    await deleteNewsletterConfig(req, res);
  }
);

export default router;
